Skip to main content
GET
AhaSend Go SDK

Authorizations

Authorization
string
header
required

API key for authentication

Path Parameters

account_id
string<uuid>
required

Account ID

webhook_id
string<uuid>
required

Webhook ID

Response

Webhook details

object
enum<string>
required

Object type identifier

Available options:
webhook
id
string<uuid>
required

Unique identifier for the webhook

created_at
string<date-time>
required

When the webhook was created

updated_at
string<date-time>
required

When the webhook was last updated

name
string
required

Webhook name

url
string<uri>
required

Webhook URL

enabled
boolean
required

Whether the webhook is enabled

on_reception
boolean

Trigger on message reception

on_delivered
boolean

Trigger on message delivery

on_transient_error
boolean

Trigger on transient errors

on_failed
boolean

Trigger on permanent failures

on_bounced
boolean

Trigger on bounces

on_suppressed
boolean

Trigger on suppressions

on_opened
boolean

Trigger on opens

on_clicked
boolean

Trigger on clicks

on_suppression_created
boolean

Trigger on suppression creation

on_dns_error
boolean

Trigger on DNS errors

scope
enum<string>

Webhook scope

Available options:
global,
scoped
domains
string[]

Domains this webhook applies to

success_count
integer

Number of successful calls

error_count
integer

Number of unsuccessful calls

errors_since_last_success
integer

Number of consecutive failed calls

last_request_at
string<date-time> | null

When the webhook was last called